fuzzydl.milp

## Class Inequation

- java.lang.Object
- - fuzzydl.milp.Inequation

-     public class Inequation
      extends java.lang.Object

  Inequality of the form c + c1 * x1 + c2 * x2 + ... >= 0.
  Author:
    Fernando Bobillo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `EQ` Equal sign (=).
    `static char` | `GE` Greater or equal sign (>=).
    `static char` | `LE` Less or equal sign (<=).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Inequation(Expression expr, char type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getConstant()` Gets the constant of the expression.
    `java.lang.String` | `getStringType()` Gets a string representation of the type.
    `java.util.List<Term>` | `getTerms()` Gets the terms of the expression.
    `char` | `getType()` Gets the type of the inequality.
    `java.lang.String` | `toString()` Gets a printable name of the object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### GE

          public static final char GE

      Greater or equal sign (>=).
      See Also:
        Constant Field Values

    - #### LE

          public static final char LE

      Less or equal sign (<=).
      See Also:
        Constant Field Values

    - #### EQ

          public static final char EQ

      Equal sign (=).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Inequation

          public Inequation(Expression expr,
                            char type)

  - ### Method Detail

    - #### getTerms

          public java.util.List<Term> getTerms()

      Gets the terms of the expression.
      Returns:
        Terms of the expression.

    - #### getConstant

          public double getConstant()

      Gets the constant of the expression.
      Returns:
        Constant of the expression.

    - #### getType

          public char getType()

      Gets the type of the inequality.
      Returns:
        Type of the inequality.

    - #### getStringType

          public java.lang.String getStringType()

      Gets a string representation of the type.
      Returns:
        String representation of the type.

    - #### toString

          public java.lang.String toString()

      Gets a printable name of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Name of the object.